package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "MappingPertanyaanToKeterangan_T")
public class MappingPertanyaanToKeterangan extends BaseTransaction {
	
	@JsonBackReference
	@ManyToOne
	@JoinColumn(name = "ObjectPertanyaanSurveyFk")
	@Caption(value="PertanyaanSurvey")
	private PertanyaanSurvey pertanyaanSurvey;
	
	@Column(name = "ObjectPertanyaanSurveyFk", insertable=false,updatable=false, nullable = true)
	private Integer pertanyaanSurveyId;
	
	@JsonBackReference
	@ManyToOne
	@JoinColumn(name = "ObjectKeteranganSurveyFk")
	@Caption(value="KeteranganSurvey")
	private KeteranganSurvey keteranganSurvey;
	
	@Column(name = "ObjectKeteranganSurveyFk", insertable=false,updatable=false, nullable = true)
	private Integer keteranganSurveyId;
	
	@Column(name = "Jumlah", nullable = true)
	@Caption(value="Jumlah")
	private Integer jumlah;
	
	public PertanyaanSurvey getPertanyaanSurvey() {
		return pertanyaanSurvey;
	}

	public void setPertanyaanSurvey(PertanyaanSurvey pertanyaanSurvey) {
		this.pertanyaanSurvey = pertanyaanSurvey;
	}

	public KeteranganSurvey getKeteranganSurvey() {
		return keteranganSurvey;
	}

	public void setKeteranganSurvey(KeteranganSurvey keteranganSurvey) {
		this.keteranganSurvey = keteranganSurvey;
	}

	public Integer getJumlah() {
		return jumlah;
	}

	public void setJumlah(Integer jumlah) {
		this.jumlah = jumlah;
	}
	
}
